QGIS Application - Bug report #17525

subform in automatic generated relation referende widget is not visible in 2.99 QGIS-Codeversion
b058df7d1d

2017-11-22 09:38 PM - Gerhard Spieles

Status: Closed

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:3.0.0 Regression?: No
Operating System: win 10 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25422
Description

In automatic generated relation reference widget, the subform is no more visible in 2.99 QGIS-Codeversion b058df7d1d.
Screenshots with form in 2.18.14 (correct form) and 2.99 are attached

Related issues:
Related to QGIS Application - Bug report # 17854: View form with relations do... Closed 2018-01-15

Associated revisions

Revision 84ec10ee - 2018-04-18 08:45 AM - Matthias Kuhn

Fix relation editor widget in autogenerated forms

Fix #17525

Revision 72bd89ea - 2018-04-18 10:09 AM - Matthias Kuhn

Fix relation editor widget in autogenerated forms

Fix #17525

History

#1 - 2017-11-23 08:41 AM - Andreas Neumann

Hi Gerhard,

I noticed that in the 2.99 screenshot there is a small triangle indicating that some closed section of the form is available which could be unfolded.

If you click on that triangle - is the subform of the relation reference widget visible then?

#2 - 2017-11-23 01:24 PM - Gerhard Spieles
Hallo Andreas,
i had seen and tested this.

When you click and the triangle turned down, it seems that the rounding area changed a little bit, but the subform seems to be minimized and is not visible

anymore.
#3 - 2017-12-27 12:51 PM - Pedro Venancio

Hi Gerhard,

| can not confirm this one in 2.99.0, code revision b59bd94e87.

Opening a QGIS 2.18.x project with subforms, they show up well on 2.99.

Can you share the project and some sample data to test?

Best regards,

Pedro

#4 - 2017-12-27 09:59 PM - Gerhard Spieles

- File subform not visible 2.99 rel. 249 _9fb386ac60.jpg added
- File subform visible 2.18.15.jpg added

- File test_parentchild.zip added

Testprojects created with

- QGIS 2.99 rel. 249_Code-Version 9fb386ac60is, installed via OSGeo4W,
-QGIS 2.18.15

are attached.

Also jpgs.

#5 - 2018-01-14 05:08 PM - Pedro Venancio

Hi Gerhard,

| confirm the problem here, with the "Autogenerate" attribute editor layout.

If you go to parent layer properties -> Attributes form -> change to "Drag and drop designer" attribute editor layout -> add the field from the relation

(child_xxx) and everything works ok.

So this must be a problem with the Autogenerate layout in master. Someone with editing permissions should update the subject and the priority of this
ticket.

Thanks Gerhard!

#6 - 2018-01-16 09:36 AM - Jiirgen Fischer
- Related to Bug report #17854: View form with relations does not work added

#7 - 2018-02-26 09:48 PM - Gerhard Spieles

Issue is still present in 3.1.0-3 (see Mail Paolo Cavallini, QGIS tickets)

#8 - 2018-02-26 10:41 PM - Nyall Dawson
- Regression? changed from No to Yes

#9 - 2018-03-01 11:16 AM - Giovanni Manghi
- Affected QGIS version changed from master to 3.0.0
- Regression? changed from Yes to No

#10 - 2018-04-14 03:38 PM - nagi hekmati

inqgis 3:

i have this problem too

my layer and table are stored in postgis
this feature had worked well in prev version

thanks for soon correction

#11 - 2018-04-18 10:08 AM - Anonymous
- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|84ec10eeb86edf14af518339f8167b8bac7f894a.
